Subject: Brutal Pocket-Flashlight for SELF-DEFENSE (75% OFF).

From: "X700 Flashlight" <[email-masked]>
Date: Tue, 20 Dec 2016 16:53:57 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.